import httpRequest from '@/utils/axios'

// 获取大客户列表
export function getCustomerList(params) {
  return httpRequest.get('/api/customer/admin/v1/customers', { params })
}
// 新建客户
export function createCustomer(data) {
  return httpRequest.post('/api/customer/admin/v1/customer', data)
}
// 获取客户详情
export function getCustomerDetail(id) {
  return httpRequest.get(`/api/customer/admin/v1/customer/${id}`)
}
// 更新客户
export function updateCustomer(id, data) {
  return httpRequest.put(`/api/customer/admin/v1/customer/${id}`, data)
}
// 删除客户
export function deleteCustomer(id) {
  return httpRequest.delete(`/api/customer/admin/v1/customer/${id}`)
}
// 新建联系人
export function createContact(data) {
  return httpRequest.post(`/api/customer/admin/v1/${data.customer_id}/contact`, data)
}
// 获取联系人
export function getContactList(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.customer_id}/contacts`, { params })
}
// 更新联系人
export function UpdateContact(data) {
  return httpRequest.put(`/api/customer/admin/v1/contact/${data.id}`, data)
}
// 删除联系人
export function delContact(data) {
  return httpRequest.delete(`/api/customer/admin/v1/contact/${data.id}`, data)
}
// 获取合作项目
export function getCoopList(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.customer_id}/projects`, { params })
}
// 创建合作项目
export function createCooProject(data) {
  return httpRequest.post(`/api/customer/admin/v1/${data.customer_id}/project`, data)
}
// 编辑合作项目
export function editCooProject(data) {
  return httpRequest.put(`/api/customer/admin/v1/project/${data.id}`, data)
}
// 删除合作项目
export function delCooProject(data) {
  return httpRequest.delete(`/api/customer/admin/v1/project/${data.id}`, data)
}
// 获取更进记录列表
export function getFollowRecordsList(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.customer_id}/records`, { params })
}
// 新建跟进记录
export function createFollowRecord(id, data) {
  return httpRequest.post(`/api/customer/admin/v1/${id}/record`, data)
}
// 删除跟进记录
export function deleteFollowRecord(id) {
  return httpRequest.delete(`/api/customer/admin/v1/record/${id}`)
}
// 获取合作项目详情
export function getprojectDetail(data) {
  return httpRequest.get(`/api/customer/admin/v1/project/${data.id}`, data)
}
