import httpRequest from '@/utils/axios'

// 新建客户组
export function createCustomerGroup(data) {
  return httpRequest.post('/api/customer/admin/v1/group', data)
}

// 获取客户组列表
export function getCustomerGroup(params) {
  return httpRequest.get('/api/customer/admin/v1/groups', { params })
}

// 获取被分配到客户组的客户
export function customerDetail(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/group-customers`, { params })
}

// 获取客户列表
export function getEmployeeList(params) {
  console.log(params)
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/customers`, { params })
}

// 编辑客户组
export function editCustomerGroup(data) {
  return httpRequest.put(`/api/customer/admin/v1/group/${data.id}`, data)
}
// 删除客户组
export function deleteGroup(data) {
  return httpRequest.delete(`/api/customer/admin/v1/group/${data.id}`, data)
}

// 分配客户到客户组
export function createCustomer(data) {
  return httpRequest.post(`/api/customer/admin/v1/${data.group_id}/customer-to-group`, data)
}

// 移除被分配到客户组的客户
export function delCustomer(data) {
  return httpRequest.post('/api/customer/admin/v1/group/remove-group-customers', data)
}
// 分配员工到客户组
export function createEmployee(data) {
  return httpRequest.post(`/api/customer/admin/v1/${data.group_id}/staff-to-group`, data)
}

// 获取客户组的员工
export function employeeDetail(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/group-staffs`, params)
}

// 移除被分配到客户组的员工
export function delEmployee(data) {
  return httpRequest.post('/api/customer/admin/v1/group/remove-group-staffs', data)
}
// 搜索员工
export function getEmployee(params) {
  return httpRequest.get('/api/customer/admin/v1/system/search-sso-users', { params })
}
